CADxp: echelle annotative - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

echelle annotative grrrrr

#1 L'utilisateur est hors-ligne   x_all 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3391
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 20 décembre 2018 - 15:54

Bonjour
Je bosse sur mes lots technique avec un fond de plan en Xref (en fait j'en ai 4)L'archi utilise les échelle anotative pour ses nom de pièces, ces noms sont encadrés avec une polyligne.Pour que le texte soit bien cadré dans l'Xref, il faut que je place l’échelle annotative sur 1/200Dans l'espace objet, je règle mon echelle sur cette valeur, et ça marche.Le problème, c'est que j'imprime au 1/50. dans mon espace objet, les texte se replace par défaut au 1/100 (?) il sont donc 2 fois trop gros et sortent du cadre

Comment faire revenir les textes à la bonne hauteur?
merci...

"La possibilité d'expliquer m'a toujours paru comme la seule excuse à l’existence de la parole"
JL Godard

quelques trucs sur autocad
0

#2 L'utilisateur est hors-ligne   philsogood 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2233
  • Inscrit(e) : 03-mars 10

Posté 21 décembre 2018 - 09:20

hello
bizarre
pourrais tu faire suivre un fichier pour l'exemple?
i-love-cadxp (aaaa) laposte.net
Phil
Projeteur génie climatique - traitement de l'air
0

#3 L'utilisateur est hors-ligne   philsogood 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2233
  • Inscrit(e) : 03-mars 10

Posté 21 décembre 2018 - 14:42

Salut x_all,

j'ai jeté un oeil sur les Xrefs, il y a déjà un premier truc qui chie :
tous les Mtext ne sont pas annotatifs
L'annotativité a été forcée sur les textes, elle n'est aps définit dans les styles du texte

J'ai cherché un truc pour nettoyer les objets annotatifs mais je n'arrive plus à remettre la main dessus!!!! :/

bref, je suis désolé mais je n'ai pas d'autre solution à te proposer, au vu de ton problème, que de choper tous ces textes annotatifs et leur enlever l'annotativité (entre nous l'archi s'est bien chié sur ses objets annotatifs)

j'ai oulu t'envoyer un mail mais ça n'a semble-t-il pas marché!! :/

Phil
Projeteur génie climatique - traitement de l'air
0

#4 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8128
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 21 décembre 2018 - 15:13

Hello

Les objets ANNOTATIFs ca peut etre BIEN !
MAIS ca peut aussi etre une horreur quand cela a ete mal exploite et/ou defini
SANS parler d'objets "moitie/moitie" ...

Veuillez trouver ci-apres 2 routines "plus ou moins utiles" ...

COMME D'HABITUDE MERCI a GILLES : un Dieu du Lisp/VLisp/etc ...

LA SANTE, Bonnes Fetes, Bye, lecrabe (Extraction de mon stock de 2000 routines)


;; 
;; Routine: SelAnnot par GC 
;; 
;; GC >>> Noter que pour les lignes de repere non multiple (ancienne mode) 
;; SEUL le texte peut être annotatif, ils sont donc traites dans la categorie "Texte mtexte"
;; (Pas teste en profondeur)
;; 
;; Supprime du jeu de selection les objets non annotatifs 
;; 

(defun filterAnnot (ss / i ent dict)
  (if ss
    (repeat (setq i (sslength ss))
      (setq ent (ssname ss (setq i (1- i))))
      (if (not (setq dict (cdadr (member '(102 . "{ACAD_XDICTIONARY") (entget ent)))))
        (ssdel ent ss)
        (if (not (setq dict (cdr (assoc -1 (dictsearch dict "AcDbContextDataManager")))))
          (ssdel ent ss)
          (if (not (dictsearch dict "ACDB_ANNOTATIONSCALES"))
            (ssdel ent ss)
          )
        )
      )
    )
  )
  ss
)

;; Sélectionne les objet annotatifs par type
(defun c:selannot (/ kw ss fr)
  (initget "Texte Hachure Cotation Repere")
  (setq kw (getkword
             "\nChoisir une option [Texte mtexte/Hachure/Cotation/ligne de Repere multiple] <Texte>: "
           )
        fr (cond
             ((= kw "Hachure") '((0 . "HATCH")))
             ((= kw "Cotation") '((0 . "DIMENSION")))
             ((= kw "Repere") '((0 . "MULTILEADER")))
             (T '((0 . "TEXT,MTEXT")))
           )
  )
  (sssetfirst nil (filterAnnot (ssget fr)))
)




 
;; 
;; Par GC le 05/02/2010 - Message No 8 - Commande au clavier : ANNOT_REMOVE
;; 
;; La routine ci-dessous supprime l'annotativite des objets selectionnes : 
;; MTEXT, TEXT, DIMENSION, LEADER, MULTILEADER 
;; Je n'ai pas trouve pour les blocs (INSERT) 
;; D'ailleurs l'annotativite des blocs est en lecture seule dans la fenetre des proprietes 
;; 

;; (defun c:RANNOT        (/ n ss ent)
   (defun c:ANNOT_REMOVE  (/ n ss ent)
  (if (setq n  -1
	    ss (ssget '((0 . "MTEXT,TEXT,DIMENSION,LEADER,MULTILEADER")))
      )
    (while (setq ent (ssname ss (setq n (1+ n))))
      (gc:RemoveAnnot ent)
    )
  )
  (princ)
)

;;============================================================;;;

;; gc:RemoveAnnot (gile)
;; Supprime l'annotativité de l'entité
;; Retourne la nouvelle liste DXF l'entité (ou nil)
;;
;; Argument : ent (ENAME) le nom de l'entité

(defun gc:RemoveAnnot (ent / elst typ)
  (setq	elst (entget ent '("AcadAnnotative"))
	typ  (cdr (assoc 0 elst))
  )
  (cond
    ((member typ '("MTEXT" "TEXT" "DIMENSION" "LEADER"))
     (entmod
       (subst
	 '(-3
	   ("AcadAnnotative"
	    (1000 . "AnnotativeData")
	    (1002 . "{")
	    (1070 . 1)
	    (1070 . 0)
	    (1002 . "}")
	   )
	  )
	 (assoc -3 elst)
	 elst
       )
     )
    )
    ((= typ "MULTILEADER")
     (setq elst (reverse elst))
     (entmod (reverse (subst '(293 . 0) (assoc 293 elst) elst)))
    )
  )
) 


Autodesk Expert Elite Team
0

#5 L'utilisateur est hors-ligne   x_all 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3391
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 21 décembre 2018 - 19:17

pop pop pop ! c'est Noël !!

merci à vous trois, même sans rien dire il y a toujours un peu de (gile) dans un tread de ce forum.

Comme je me sert jamais de cette fonction, je me disait que je ne savais pas bien les utiliser... apparemment, je ne suis pas le seul. Au tant tout mettre à plat. ça devrai faire des miracle.. je testerai, mais là, c'est les vacances :)
alors bonne fêtes à tous...
"La possibilité d'expliquer m'a toujours paru comme la seule excuse à l’existence de la parole"
JL Godard

quelques trucs sur autocad
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)